Subject: Re: [PATCH v8 0/4] format-patch: add cover-letter-format option

From: Mirko Faina <[email-masked]>
Date: Thu, 12 Mar 2026 18:45:48 +0100

On Thu, Mar 12, 2026 at 10:20:41AM -0700, Junio C Hamano wrote:
> By the way, we have merged the topic to 'next' on March 9th already,
> so it is a bit awkward to see a wholesale replacement series.
> 
> We could revert the merge of the previous attempt out of 'next' and
> queue the new iteration in 'seen', but I think the major changes in
> this iteration are
> 
>  (1) the "log:" prefix is omitted (which I think is a bad change
>      that we do not want),
> 
>  (2) we no longer consider the option an extended boolean "use the
>      modern customized format [Yes/no/use this format]?" (which I
>      think is OK), and
> 
>  (3) the default modern format has a name (which is OK, even though
>      "chronological" may be a mouthful to say).
> 
> and associated documentation and test updates, so at this point,
> making incremental changes on top of what we already have in 'next'
> may be more appropriate.  The incremental changes are easier to
> justify as well.

(1) Very well, given that there are more cons than pros to dropping the
prefix, this change will be dropped and will no longer be discussed
going forward.

(3) Would an abbreviation like "chrono" be better? The originally
suggested "numbered" didn't seem to be very descriptive, that's why I
went with chronological.

Please disregard series v8, I will send a new series that builds on top
of v7. Regarding this, how should incremental changes be numbered in
their version? Do I keep going incrementally (v9 despite building on top
of another version), or should I use something like "v7.1, v7.2, v7.3"?